| Earth Observation Mission CFI Software Lib Software User Manual |

Public Member Functions | Public Attributes

# EECFI::SmosObt Class Reference

Base class for SmosObt objects. More...

Inheritance diagram for EECFI::SmosObt:

List of all members.

## Public Member Functions
| SmosObt (long deltaSeconds, unsigned long obet0_c, unsigned long obet0_f, unsigned long utc0Week, unsigned long utc0Seconds, unsigned long utc0Fraction)
| Class constructor with OBT parameters.
| SmosObt (long deltaSeconds, unsigned long obet0_c, unsigned long obet0_f, unsigned long utc0Week, unsigned long utc0Seconds, unsigned long utc0Fraction, unsigned long obet_c, unsigned long obet_f)
| Class constructor with OBT parameters and OBT values.
| ~SmosObt ()
| Class destructor.
void | setObt (const Time &time) throw (CfiError)
| set On-Board Time from a time in processing format.
Time | getTime () throw (CfiError)
| Get UTC time from an OBT time.
## Public Attributes
long | deltaSeconds
| SMOS OBT parameters: Number of seconds to be applied to UTC to give UTC Proteus (just in case UTC Proteus reference is actually GPS Time).
unsigned long | obet0_c
| SMOS OBT parameters: OBET Coarse Time (in seconds).
unsigned long | obet0_f
| SMOS OBT parameters: OBET Fine Time.
unsigned long | utc0Week
| SMOS OBT parameters: UTC (Proteus format) week number.
unsigned long | utc0Seconds
| SMOS OBT parameters: UTC (Proteus format) seconds of week.
unsigned long | utc0Fraction
| SMOS OBT parameters: UTC (Proteus format) fraction of seconds.
unsigned long | obet_c
| SMOS OBT values: OBET Coarse Time (in seconds).
unsigned long | obet_f
| SMOS OBT values: OBET Fine Time.

## Detailed Description

Base class for SmosObt objects.

## Constructor & Destructor Documentation

EECFI::SmosObt::SmosObt | ( | long | deltaSeconds,
|  | unsigned long | obet0_c,
|  | unsigned long | obet0_f,
|  | unsigned long | utc0Week,
|  | unsigned long | utc0Seconds,
|  | unsigned long | utc0Fraction |
| ) |  |  |

Class constructor with OBT parameters.

Class constructor (Empty constructor).

EECFI::SmosObt::SmosObt | ( | long | deltaSeconds,
|  | unsigned long | obet0_c,
|  | unsigned long | obet0_f,
|  | unsigned long | utc0Week,
|  | unsigned long | utc0Seconds,
|  | unsigned long | utc0Fraction,
|  | unsigned long | obet_c,
|  | unsigned long | obet_f |
| ) |  |  |

Class constructor with OBT parameters and OBT values.

EECFI::SmosObt::~SmosObt | ( |  | ) | `[inline]`

Class destructor.

## Member Function Documentation

Time EECFI::SmosObt::getTime | ( |  | ) | throw (CfiError)`[virtual]`

Get UTC time from an OBT time.

Returns:
  UTC time from OBT time.

Implements EECFI::ObtTime.

References deltaSeconds, obet0_c, obet0_f, obet_c, obet_f, EECFI::CfiClass::throwWarn, utc0Fraction, utc0Seconds, and utc0Week.

void EECFI::SmosObt::setObt | ( | const Time & | time | ) | throw (CfiError)`[virtual]`

set On-Board Time from a time in processing format.

Class destructor.

Parameters:

  | time | input Time.

Implements EECFI::ObtTime.

References EECFI::CfiError::addMsg(), EECFI::Time::change(), EECFI::Time::format, and EECFI::Time::time.

## Member Data Documentation

long EECFI::SmosObt::deltaSeconds

SMOS OBT parameters: Number of seconds to be applied to UTC to give UTC Proteus (just in case UTC Proteus reference is actually GPS Time).

Referenced by getTime().

unsigned long EECFI::SmosObt::obet0_c

SMOS OBT parameters: OBET Coarse Time (in seconds).

Referenced by getTime().

unsigned long EECFI::SmosObt::obet0_f

SMOS OBT parameters: OBET Fine Time.

Referenced by getTime().

unsigned long EECFI::SmosObt::obet_c

SMOS OBT values: OBET Coarse Time (in seconds).

Referenced by getTime().

unsigned long EECFI::SmosObt::obet_f

SMOS OBT values: OBET Fine Time.

Referenced by getTime().

unsigned long EECFI::SmosObt::utc0Fraction

SMOS OBT parameters: UTC (Proteus format) fraction of seconds.

Referenced by getTime().

unsigned long EECFI::SmosObt::utc0Seconds

SMOS OBT parameters: UTC (Proteus format) seconds of week.

Referenced by getTime().

unsigned long EECFI::SmosObt::utc0Week

SMOS OBT parameters: UTC (Proteus format) week number.

Referenced by getTime().